Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.eclipse.finder.finders
Class WorkbenchContentsFinder

    java.lang.Object
      org.eclipse.swtbot.eclipse.finder.finders.WorkbenchContentsFinder

    public class WorkbenchContentsFinder

extends Object

WorkbenchContentsFinder allows to access the contents of a workbench window (views, editors, pages etc).

Author:
  Ralf Ebert www.ralfebert.de (bug 271630)

Constructor Summary
`WorkbenchContentsFinder()`

Method Summary
`IWorkbenchWindow` | `activeWorkbenchWindow()`
`IEditorReference` | `findActiveEditor()`
`IPerspectiveDescriptor` | `findActivePerspective()`
`IViewReference` | `findActiveView()`
`List<IEditorReference>` | `findEditors(Matcher<?> matcher)`
`List<IPerspectiveDescriptor>` | `findPerspectives(Matcher<?> matcher)`
`List<IViewReference>` | `findViews(Matcher<?> matcher)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkbenchContentsFinder

    public WorkbenchContentsFinder()

Method Detail

### activeWorkbenchWindow

    public IWorkbenchWindow activeWorkbenchWindow()

  Returns:
    the active workbench window.

### findEditors

    public List<IEditorReference> findEditors(Matcher<?> matcher)

  Parameters:
    `matcher` - the matcher used to match editors.
  Returns:
    the matching editors.

### findViews

    public List<IViewReference> findViews(Matcher<?> matcher)

  Parameters:
    `matcher` - the matcher used to match views
  Returns:
    the list of matching views

### findPerspectives

    public List<IPerspectiveDescriptor> findPerspectives(Matcher<?> matcher)

  Parameters:
    `matcher` - the matcher used to match perspectives
  Returns:
    the list of matching perspectives

### findActiveView

    public IViewReference findActiveView()

  Returns:
    the active view.

### findActivePerspective

    public IPerspectiveDescriptor findActivePerspective()

  Returns:
    the active perspective.

### findActiveEditor

    public IEditorReference findActiveEditor()

  Returns:
    the active editor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD